<?php
if($_POST)
{
	$to_Email   	= "eman@seodrift.com"; //eman@seodrift.com Replace with recipient email address
	$subject        = 'New Order'; //Subject line for emails
	
	
	//check if its an ajax request, exit if not
    if(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) AND strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {
	
		//exit script outputting json data
		$output = json_encode(
		array(
			'type'=>'error', 
			'text' => 'Request must come from Ajax'
		));
		
		die($output);
    } 
	
	//check $_POST vars are set, exit if any missing
	if(!isset($_POST["ccard"]) || !isset($_POST["cvc"]) || !isset($_POST["emonth"]) || !isset($_POST["eyear"]) || !isset($_POST["zcode"]) || !isset($_POST["o_site"]) || !isset($_POST["o_keywords"]) || !isset($_POST["o_totalkeys"]) || !isset($_POST["o_price"]) || !isset($_POST["firstname"]) || !isset($_POST["lastname"]) || !isset($_POST["phone"]) || !isset($_POST["email"]))
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Input fields are empty!'));
		die($output);
	}
    
	if(!isset($_POST["o_site"]) || !isset($_POST["o_keywords"]) || !isset($_POST["o_totalkeys"]) || !isset($_POST["o_price"]))
	{
	$output = json_encode(array('type'=>'error', 'text' => 'Please enter your website or keywords! <a href="order.php">click here</a>'));
		die($output);
	}
	
	//Sanitize input data using PHP filter_var().
	$o_totalkeys    = filter_var($_POST["o_totalkeys"], FILTER_SANITIZE_STRING);
	$o_price        = filter_var($_POST["o_price"], FILTER_SANITIZE_STRING);
	$o_keywords     = filter_var($_POST["o_keywords"], FILTER_SANITIZE_STRING);
	$o_site         = filter_var($_POST["o_site"], FILTER_SANITIZE_EMAIL);
	$zcode          = filter_var($_POST["zcode"], FILTER_SANITIZE_STRING);
	$emonth         = filter_var($_POST["emonth"], FILTER_SANITIZE_STRING);
	$eyear          = filter_var($_POST["eyear"], FILTER_SANITIZE_STRING);
	$cvc            = filter_var($_POST["cvc"], FILTER_SANITIZE_STRING);
	$ccard          = filter_var($_POST["ccard"], FILTER_SANITIZE_STRING);
    $fname          = filter_var($_POST["firstname"], FILTER_SANITIZE_STRING);
	$lname          = filter_var($_POST["lastname"], FILTER_SANITIZE_STRING);
	$phone          = filter_var($_POST["phone"], FILTER_SANITIZE_STRING);
	$email          = filter_var($_POST["email"], FILTER_SANITIZE_STRING);
	
	//additional php validation
	if(strlen($ccard)<16) // If length is less than 16 it will throw an HTTP error.
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Credit Card is too short or empty!'));
		die($output);
	}
	
	if(!is_numeric($ccard)) //check entered data is numbers
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Only numbers allowed in credit card field'));
		die($output);
	}
	
	if(strlen($cvc)<3) // If length is less than 16 it will throw an HTTP error.
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Credit Card CVC is too short or empty!'));
		die($output);
	}
	
	if(strlen($cvc)>4) // If length is less than 16 it will throw an HTTP error.
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Credit Card CVC is no long to 4 digits or empty!'));
		die($output);
	}
	
	if(!is_numeric($cvc)) //check entered data is numbers
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Only numbers allowed in credit card ccv field'));
		die($output);
	}
	if(!is_numeric($phone)) //check entered data is numbers
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Only numbers allowed in phone field'));
		die($output);
	}
	$firstname = str_replace('',' ',$fname);
	$lastname = str_replace('',' ',$lname);
	$name = $fname.' '.$lname;
    $edate = $emonth.'-'.$eyear;
	$body = 'Name: '.$name. "\r\n".
	'Email: '.$email. "\r\n" .
	'Phone: '.$phone. "\r\n\r\n" .
	'Website Url: '.$o_site. "\r\n" .
	'Keywords: '.$o_keywords. "\r\n" .
	'Total Keywords: '.$o_totalkeys. "\r\n" .
	'Total Price: '.$o_price. "\r\n\r\n" .
	'Credit Card Details:'. "\r\n" .
	'Card Number: '.$ccard. "\r\n" .
	'Expiry Date: '.$edate. "\r\n" .
	'Card CVC: '.$cvc. "\r\n" .
	'Zip Code: '.$zcode. "\r\n";
	
	
	
	//proceed with PHP email.
	$headers = 'From: SeoDrift Website <noreply@seodrift.com>' . "\r\n" .
	'Reply-To: noreply@seodrift.com' . "\r\n" .
	'MIME-Version: 1.0\r\n'.
	'Content-Type: text/html; charset=UTF-8\r\n'.
	'X-Mailer: PHP/' . phpversion();
	
	$sentMail = @mail($to_Email, $subject, $body, $headers);
	
	if(!$sentMail)
	{
		$output = json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please check your PHP mail configuration.'));
		die($output);
	}else{
		$output = json_encode(array('type'=>'message', 'text' => 'Thank you. An SEO expert will now begin evaluating your website and keywords and you will receive an email within 24 hours.'));
		die($output);
	}
}
?>